Skip to main content
GET
List relationships

Authorizations

Authorization
string
header
required

Organization API key, sent as Authorization: Bearer boom_org_....

Query Parameters

kind
enum<string>
required

Which edge set to list.

Available options:
person_to_co,
co_to_co
personExternalId
string

Anchor: person externalId (kind 'person_to_co').

Minimum string length: 1
customObjectType
string

Anchor: custom object type name. Required with customObjectExternalId.

Minimum string length: 1
customObjectExternalId
string

Anchor: custom object externalId (scoped by customObjectType).

Minimum string length: 1
direction
enum<string>

For kind 'co_to_co': list the anchor's children (default) or parents.

Available options:
children,
parents
include_removed
boolean

Include soft-deleted (unlinked) edges. Defaults to false.

relationshipTypeId
string

Filter by relationship type id.

Minimum string length: 1
role
string

Filter by edge role.

Minimum string length: 1
limit
integer

Max items to return, 1-1000 (default 100).

Required range: 1 <= x <= 1000
cursor
string

Opaque pagination token from a previous response's next_cursor. Omit for the first page.

Response

Success

data
object[]
required
next_cursor
string | null
required